import java.io.InputStreamReader;
import java.io.BufferedReader ;
import java.io.IOException;

/**
 * Applicazione di esempio su come si prendono dei parametri in input
 * da linea di comando (utilizzo del vettore args)
 * Per lanciarlo: "java ParametriDiInput 15 25 35"
 */
public class ParametriDiInput
{
	/**
	 *  main function del programma
	 */
	public static void main(String args[])
	{
		System.out.println("Primo numero inserito : " + args[0]);
		System.out.println("Secondo numero inserito : " + args[1]);
		System.out.println("Terzo numero inserito : " + args[2]);
		
		
		// L'utente inserisce un nuemro da tastiera, viene letto e scritto a video
		System.out.println ("Inserisci un numero : "); 
		InputStreamReader reader = new InputStreamReader (System.in);
		BufferedReader myInput = new BufferedReader (reader);
		String str= new String();
		try {
			str = myInput.readLine();
		} catch (IOException e) {
		System.out.println ("Si  verificato un errore: " + e);
		System.exit(-1);
		}
		System.out.println ("Numero inserito : "+ str); 
		
		
	}
}